# Freeze and Unfreeze Unspents

Source: https://developers.bitgo.com/docs/wallets-unspents-freeze

## Overview

You can enable greater control over your unspents by freezing them, making them ineligible for automatic inclusion in your transactions. Frozen unspents are still spendable though, but only if you explicitly specify them in your transactions. Freezing unspents is especially useful if you don't want to commingle certain unspents in a wallet. Unspents remain frozen until their specified expiration time or until you unfreeze them. You can extend the time unspents remain frozen by [Modifying Unspent Reservation](/reference/v2walletreservedunspentput). Freezing and unfreezing unspents follows the normal transaction flow, requiring signatures, approvals, and sending, as outlined in [Wallets Overview](/docs/wallets-overview).

## Prerequisites

* [Get Started](/docs/get-started-intro)
* [Create Wallets](/docs/wallets-create-wallets)

## Cookbook

Need just the steps? Expand the cookbook below to get started:

<Cookbook slug="freeze-and-unfreeze-unspents" title="Freeze and Unfreeze Unspents" />

## Steps

```json API (Freeze)
POST /api/v2/wallet/{walletId}/reservedunspents

Request Body
{
  "unspentIds": [
    "003f688cc349f1fca8ac5ffa21671ca911b6ef351085c60733ed8c2ebf162cb8:2"
  ],
  "expireTime": "string",
}
```
```json API (Unfreeze)
DELETE /api/v2/wallet/{walletId}/reservedunspents?id={unspentId}

```

#### Step Result

```json Freeze
{
  "unspents": [
    {
      "id": "6b3f788dd249f2fca8bc5ffa31671ca922c7ef461196d71844fe9d3fcg273dc9:0",
      "walletId": "6a3ad38ed8f6eb1bf6e4015c0095bf27",
      "expireTime": "2026-08-24T14:15:22.000Z",
      "userId": "6a35b719cc4690701a2f673da1e9931e",
      "createdTime": "2026-07-24T14:53:06.297Z"
    }
  ]
}
```
```json Unfreeze
{
  "unspents": [
    {
      "id": "6b3f788dd249f2fca8bc5ffa31671ca922c7ef461196d71844fe9d3fcg273dc9:0",
      "walletId": "6a3ad38ed8f6eb1bf6e4015c0095bf27",
      "expireTime": "2026-08-24T14:15:22.000Z",
      "userId": "6a35b719cc4690701a2f673da1e9931e",
      "createdTime": "2026-07-24T14:53:06.297Z"
    }
  ]
}
```

## Next

Sign the transaction.

## See Also

* [API Reference: List unspent reservation](/reference/v2walletreservedunspentlist)
* [API Reference: Make unspent reservation](/reference/v2walletreservedunspentadd)
* [API Reference: Modifying unspent reservation](/reference/v2walletreservedunspentput)
* [API Reference: Release unspent reservation](/reference/v2walletreservedunspentdelete)
